=== debian/changelog ===
stella (6.2-1) unstable; urgency=medium

  [ Stephen Kitt ]
  * New upstream release.

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass both --host and CXX to configure. Closes: #961773.

 -- Stephen Kitt <skitt@debian.org>  Mon, 08 Jun 2020 13:17:55 +0200
