## stella 6.2.1

=== Makefile ===
--- 
+++ 
@@ -96,7 +96,7 @@
 EXECUTABLE_PROFILE_GENERATE := stella-pgo-generate$(EXEEXT)
 EXECUTABLE_PROFILE_USE := stella-pgo$(EXEEXT)
 
-PROFILE_DIR = $(CURDIR)/profile
+PROFILE_DIR = $(CURDIR)/test/roms/profile
 PROFILE_OUT = $(PROFILE_DIR)/out
 PROFILE_STAMP = profile.stamp
