=== debian/changelog ===
stella (6.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix a spelling mistake (thanks Lintian).

 -- Stephen Kitt <skitt@debian.org>  Sun, 21 Jun 2020 18:13:40 +0200
