## stella 6.3

=== debian/changelog ===
stella (6.3-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compatibility level 13.

 -- Stephen Kitt <skitt@debian.org>  Fri, 16 Oct 2020 16:12:06 +0200
