## stella 6.4

=== Makefile ===
--- 
+++ 
@@ -78,6 +78,11 @@
   ifdef HAVE_CLANG
     CXXFLAGS+= -fomit-frame-pointer
   endif
+endif
+
+ifdef RELEASE
+  CXXFLAGS += -flto
+  LDFLAGS += -flto
 endif
 
 #######################################################################
@@ -326,4 +331,3 @@
 	rm -f  "$(DESTDIR)$(DATADIR)/icons/hicolor/64x64/apps/stella.png"
 	rm -f  "$(DESTDIR)$(DATADIR)/icons/hicolor/128x128/apps/stella.png"
 
-# Special rule for M6502.ins, generated from m4 (there's probably a better way to do this ...)
