=== debian/changelog ===
stella (6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 03 Nov 2020 22:34:02 +0100
