## stella 6.5

=== debian/changelog ===
stella (6.5-1) unstable; urgency=medium

  * New upstream release.
  * Point to the main branch.
  * Standards-Version 4.5.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 10 Jan 2021 19:32:09 +0100
