## stella 6.5.1

=== src/libretro/Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 
 
 ifeq (,$(findstring msvc,$(platform)))
-   CXXFLAGS += -std=c++14 -fno-rtti
+   CXXFLAGS += -std=c++17 -fno-rtti
    LIBS := -lm
 else
    LIBS :=
@@ -101,7 +101,7 @@
    include $(DEVKITPRO)/libnx/switch_rules
    TARGET := $(TARGET_NAME)_libretro_$(platform).a
    DEFINES := -DSWITCH=1 -D__SWITCH__ -DARM
-   CXXFLAGS := $(DEFINES) -fPIE -I$(LIBNX)/include/ -ffunction-sections -fdata-sections -ftls-model=local-exec -specs=$(LIBNX)/switch.specs
+   CXXFLAGS += $(DEFINES) -fPIE -I$(LIBNX)/include/ -ffunction-sections -fdata-sections -ftls-model=local-exec -specs=$(LIBNX)/switch.specs
    CXXFLAGS += -march=armv8-a -mtune=cortex-a57 -mtp=soft -mcpu=cortex-a57+crc+fp+simd -ffast-math $(ASFLAGS)
    STATIC_LINKING = 1
 
@@ -282,8 +282,8 @@
 else ifeq ($(platform), emscripten)
    TARGET := $(TARGET_NAME)_libretro_$(platform).bc
    STATIC_LINKING = 1
-   CXXFLAGS += $(PTHREAD_FLAGS) -std=c++14
-   LDFLAGS += $(PTHREAD_FLAGS) -std=c++14
+   CXXFLAGS += $(PTHREAD_FLAGS) -std=c++17
+   LDFLAGS += $(PTHREAD_FLAGS) -std=c++17
 
 # Genode
 else ifeq ($(platform), genode)
