=== debian/changelog ===
stella (6.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 04 Feb 2021 22:12:57 +0100
