=== src/libretro/Makefile ===
--- 
+++ 
@@ -54,10 +54,11 @@
    CXXFLAGS += -DGIT_VERSION=\"$(GIT_VERSION)\"
 endif
 
+GET_STATIC_ARG=$(if $(filter $(shell $(CXX) -print-file-name=$1.a),$1.a),,-static-$1)
 # Unix
 ifneq (,$(findstring unix,$(platform)))
    CXXFLAGS += $(LTO)
-   LDFLAGS += $(LTO) $(PTHREAD_FLAGS) -static-libgcc -static-libstdc++
+   LDFLAGS += $(LTO) $(PTHREAD_FLAGS) $(call GET_STATIC_ARG,libgcc) $(call GET_STATIC_ARG,libstdc++)
    TARGET := $(TARGET_NAME)_libretro.so
    fpic := -fPIC
    ifneq ($(findstring SunOS,$(shell uname -a)),)
@@ -360,4 +361,3 @@
    ProgramFiles86w := $(shell cmd //c "echo %PROGRAMFILES(x86)%")
    ProgramFiles86 := $(shell cygpath "$(ProgramFiles86w)")
 
-   WindowsSdkDir ?= $(call reg_query,InstallationFolder,HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Microsoft SDKs\Windows\v10.0)
