=== debian/changelog ===
stella (6.5.2-1) unstable; urgency=medium

  * New upstream bug-fix release, merging all our patches.

 -- Stephen Kitt <skitt@debian.org>  Fri, 26 Feb 2021 11:51:58 +0100
