=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                libpng-dev,
                libsdl2-dev,
                zlib1g-dev
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/games-team/stella/tree/experimental
-Vcs-Git: https://salsa.debian.org/games-team/stella.git -b experimental
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/games-team/stella
+Vcs-Git: https://salsa.debian.org/games-team/stella.git
 Homepage: https://stella-emu.github.io
 Rules-Requires-Root: no
