## stella 6.5.3

=== debian/changelog ===
stella (6.5.3-1) unstable; urgency=medium

  * Standards-Version 4.6.0, no change required.
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Thu, 02 Sep 2021 18:24:53 +0200

stella (6.5.3-1~exp1) experimental; urgency=medium

  * New upstream bug-fix release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 18 Jul 2021 07:38:40 +0200
