=== debian/changelog ===
stella (6.6-1) unstable; urgency=medium

  * New upstream release.
  * Add upstream metadata.

 -- Stephen Kitt <skitt@debian.org>  Fri, 19 Nov 2021 09:04:41 +0100
