## stella 6.7%2Bdfsg

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 ##  SS  SS   tt   ee      ll   ll  aa  aa
 ##   SSSS     ttt  eeeee llll llll  aaaaa
 ##
-## Copyright (c) 1995-2021 by Bradford W. Mott, Stephen Anthony
+## Copyright (c) 1995-2022 by Bradford W. Mott, Stephen Anthony
 ## and the Stella Team
 ##
 ## See the file "License.txt" for information on usage and redistribution of
@@ -65,7 +65,8 @@
     -Wno-switch-enum -Wno-conversion -Wno-covered-switch-default \
     -Wno-inconsistent-missing-destructor-override -Wno-float-equal \
     -Wno-exit-time-destructors -Wno-global-constructors -Wno-weak-vtables \
-    -Wno-four-char-constants -Wno-padded -Wno-reserved-identifier
+    -Wno-four-char-constants -Wno-padded -Wno-reserved-identifier \
+    -Wno-duplicate-enum
 
   CXXFLAGS+= $(EXTRA_WARN)
   CFLAGS+= $(EXTRA_WARN)
@@ -78,8 +79,8 @@
 endif
 
 ifdef DEBUG
-  CXXFLAGS += -g
-  CFLAGS += -g
+  CXXFLAGS += -g -Wp,-D_GLIBCXX_DEBUG
+  CFLAGS += -g -Wp,-D_GLIBCXX_DEBUG
 else
   ifdef HAVE_GCC
     CXXFLAGS+= -fomit-frame-pointer
@@ -145,8 +146,8 @@
 	CFLAGS_PROFILE_USE += -fprofile-use -fprofile-dir=$(PROFILE_OUT)
 	LDFLAGS_PROFILE_GENERATE += -fprofile-generate
 	STELLA_PROFILE_GENERATE := $(STELLA_PROFILE_GENERATE) && \
-	  rm -fr $(PROFILE_OUT)/$(OBJECT_ROOT_PROFILE_USE) && \
-		mv $(PROFILE_OUT)/$(OBJECT_ROOT_PROFILE_GENERERATE) $(PROFILE_OUT)/$(OBJECT_ROOT_PROFILE_USE)
+	  (rm -fr $(PROFILE_OUT)/$(OBJECT_ROOT_PROFILE_USE) || true) && \
+		(mv $(PROFILE_OUT)/$(OBJECT_ROOT_PROFILE_GENERERATE) $(PROFILE_OUT)/$(OBJECT_ROOT_PROFILE_USE) || true)
 endif
 
 all: $(EXECUTABLE)
@@ -175,8 +176,7 @@
 	src/emucore \
 	src/emucore/tia \
 	src/emucore/tia/frame-manager \
-	src/common/repository/sqlite \
-	src/sqlite
+	src/common/repository/sqlite
 
 ######################################################################
 # The build rules follow - normally you should have no need to
@@ -335,6 +335,3 @@
 	$(INSTALL) -c -m 644 "$(srcdir)/src/common/stella-32x32.png" "$(DESTDIR)$(DATADIR)/icons/hicolor/32x32/apps/stella.png"
 	$(INSTALL) -c -m 644 "$(srcdir)/src/common/stella-48x48.png" "$(DESTDIR)$(DATADIR)/icons/hicolor/48x48/apps/stella.png"
 	$(INSTALL) -c -m 644 "$(srcdir)/src/common/stella-64x64.png" "$(DESTDIR)$(DATADIR)/icons/hicolor/64x64/apps/stella.png"
-	$(INSTALL) -c -m 644 "$(srcdir)/src/common/stella-128x128.png" "$(DESTDIR)$(DATADIR)/icons/hicolor/128x128/apps/stella.png"
-
-install-strip: install
