## stella 6.7+dfsg

=== debian/changelog ===
stella (6.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 18 Jun 2022 13:34:08 +0200
